package com.handysoft.beans.entity;

import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;

@PersistenceCapable(identityType = IdentityType.NONDURABLE)
public class HUserDept extends HandyEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7113462316589829340L;

	@Persistent
	private String id;

	@Persistent
	private String deptId;

	@Persistent
	private String name;

	@Persistent
	private String partId;

	@Override
	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}

	public String getDeptId() {
		return deptId;
	}

	public final String getName() {
		return name;
	}

	public final void setName(String name) {
		this.name = name;
	}

	public final String getPartId() {
		return partId;
	}

	public final void setPartId(String partId) {
		this.partId = partId;
	}

}
